GroovyPageMetaInfo (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages
[Java] Class GroovyPageMetaInfo

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.GroovyPageMetaInfo

All Implemented Interfaces:
  GrailsApplicationAware

    public class GroovyPageMetaInfo
    extends java.lang.Object

Encapsulates the information necessary to describe a GSP.

Authors:
  Graeme Rocher
  Lari Hotari

Since:
  0.5

Field Summary
`static java.lang.String` | `DEFAULT_PLUGIN_PATH`
`static java.lang.String` | `HTML_DATA_POSTFIX`
`static long` | `LASTMODIFIED_CHECK_INTERVAL`
`static java.lang.String` | `LINENUMBERS_DATA_POSTFIX`

Constructor Summary
`GroovyPageMetaInfo()`
`GroovyPageMetaInfo(java.lang.Class pageClass)`

Method Summary
`void` | `applyLastModifiedFromResource(org.springframework.core.io.Resource resource)`
`org.springframework.core.io.Resource` | `checkIfReloadableResourceHasChanged(java.security.PrivilegedAction resourceCallable)`
`GroovyPagesException` | `getCompilationException()`
`java.lang.String` | `getContentType()`
`Encoder` | `getExpressionEncoder()`
`GrailsApplication` | `getGrailsApplication()`
`java.io.InputStream` | `getGroovySource()`
`java.lang.String[]` | `getHtmlParts()`
`TagLibraryResolver` | `getJspTagLibraryResolver()`
`java.util.Map` | `getJspTags()`
`long` | `getLastModified()`
`int[]` | `getLineNumbers()`
`Encoder` | `getOutEncoder()`
`java.lang.Class` | `getPageClass()`
`GrailsPlugin` | `getPagePlugin()`
`java.lang.String` | `getPluginPath()`
`Encoder` | `getStaticEncoder()`
`TagLibraryLookup` | `getTagLibraryLookup()`
`Encoder` | `getTaglibEncoder()`
`void` | `initialize()`
`boolean` | `isPrecompiledMode()`
`void` | `setCompilationException(GroovyPagesException e)`
`void` | `setContentType(java.lang.String contentType)`
`void` | `setExpressionCodecName(java.lang.String expressionCodecName)`
`void` | `setGrailsApplication(GrailsApplication grailsApplication)`
`void` | `setGroovySource(java.io.InputStream groovySource)`
`void` | `setHtmlParts(java.lang.String[] htmlParts)`
`void` | `setJspTagLibraryResolver(TagLibraryResolver jspTagLibraryResolver)`
`void` | `setJspTags(java.util.Map jspTags)`
`void` | `setLastModified(long lastModified)`
`void` | `setLineNumbers(int[] lineNumbers)`
`void` | `setOutCodecName(java.lang.String pageCodecName)`
`void` | `setPageClass(java.lang.Class pageClass)`
`void` | `setStaticCodecName(java.lang.String staticCodecName)`
`void` | `setTagLibraryLookup(TagLibraryLookup tagLibraryLookup)`
`void` | `setTaglibCodecName(java.lang.String taglibCodecName)`
`boolean` | `shouldReload(java.security.PrivilegedAction resourceCallable)` Checks if this GSP has expired and should be reloaded (there is a newer source gsp available) PrivilegedAction is used so that locating the Resource is lazily evaluated.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### DEFAULT_PLUGIN_PATH

    public static java.lang.String DEFAULT_PLUGIN_PATH

### HTML_DATA_POSTFIX

    public static final java.lang.String HTML_DATA_POSTFIX

### LASTMODIFIED_CHECK_INTERVAL

    public static final long LASTMODIFIED_CHECK_INTERVAL

### LINENUMBERS_DATA_POSTFIX

    public static final java.lang.String LINENUMBERS_DATA_POSTFIX

Constructor Detail

### GroovyPageMetaInfo

    public GroovyPageMetaInfo()

### GroovyPageMetaInfo

    @java.lang.SuppressWarnings("rawtypes")
    public GroovyPageMetaInfo(java.lang.Class pageClass)

Method Detail

### applyLastModifiedFromResource

    public void applyLastModifiedFromResource(org.springframework.core.io.Resource resource)

### checkIfReloadableResourceHasChanged

    public org.springframework.core.io.Resource checkIfReloadableResourceHasChanged(java.security.PrivilegedAction resourceCallable)

### getCompilationException

    public GroovyPagesException getCompilationException()

### getContentType

    public java.lang.String getContentType()

### getExpressionEncoder

    public Encoder getExpressionEncoder()

### getGrailsApplication

    public GrailsApplication getGrailsApplication()

### getGroovySource

    public java.io.InputStream getGroovySource()

### getHtmlParts

    public java.lang.String[] getHtmlParts()

### getJspTagLibraryResolver

    public TagLibraryResolver getJspTagLibraryResolver()

### getJspTags

    @java.lang.SuppressWarnings("rawtypes")
    public java.util.Map getJspTags()

### getLastModified

    public long getLastModified()

### getLineNumbers

    public int[] getLineNumbers()

### getOutEncoder

    public Encoder getOutEncoder()

### getPageClass

    public java.lang.Class getPageClass()

### getPagePlugin

    public GrailsPlugin getPagePlugin()

### getPluginPath

    public java.lang.String getPluginPath()

### getStaticEncoder

    public Encoder getStaticEncoder()

### getTagLibraryLookup

    public TagLibraryLookup getTagLibraryLookup()

### getTaglibEncoder

    public Encoder getTaglibEncoder()

### initialize

    public void initialize()

### isPrecompiledMode

    public boolean isPrecompiledMode()

### setCompilationException

    public void setCompilationException(GroovyPagesException e)

### setContentType

    public void setContentType(java.lang.String contentType)

### setExpressionCodecName

    public void setExpressionCodecName(java.lang.String expressionCodecName)

### setGrailsApplication

    public void setGrailsApplication(GrailsApplication grailsApplication)

### setGroovySource

    public void setGroovySource(java.io.InputStream groovySource)

### setHtmlParts

    public void setHtmlParts(java.lang.String[] htmlParts)

### setJspTagLibraryResolver

    public void setJspTagLibraryResolver(TagLibraryResolver jspTagLibraryResolver)

### setJspTags

    @java.lang.SuppressWarnings("rawtypes")
    public void setJspTags(java.util.Map jspTags)

### setLastModified

    public void setLastModified(long lastModified)

### setLineNumbers

    public void setLineNumbers(int[] lineNumbers)

### setOutCodecName

    public void setOutCodecName(java.lang.String pageCodecName)

### setPageClass

    public void setPageClass(java.lang.Class pageClass)

### setStaticCodecName

    public void setStaticCodecName(java.lang.String staticCodecName)

### setTagLibraryLookup

    public void setTagLibraryLookup(TagLibraryLookup tagLibraryLookup)

### setTaglibCodecName

    public void setTaglibCodecName(java.lang.String taglibCodecName)

### shouldReload

    public boolean shouldReload(java.security.PrivilegedAction resourceCallable)

  Checks if this GSP has expired and should be reloaded (there is a newer source gsp available) PrivilegedAction is used so that locating the Resource is lazily evaluated. lastModified checking is done only when enough time has expired since the last check. This setting is controlled by the grails.gsp.reload.interval System property, by default it's value is 5000 (ms).
  Parameters:
    `resourceCallable` - call back that resolves the source gsp lazily
  Returns:
    true if the available gsp source file is newer than the loaded one.

Groovy Documentation